<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <!--    This panel need the value to the cgu link as a parameter to render the full banner-->
    <h:panelGroup
            rendered="#{registrationBeanGui.shouldShowPopup()}">
        <h:form id="switch_session_popup">
            <h:outputStylesheet library="stylesheet" name="cookie-consent.css"/>
            <div class="cookie-consent-banner">
                <div class="cookie-consent-banner-inner">
                    <div class="cookie-consent-banner-copy">
                        <div class="cookie-consent-banner-copy">
                            <div class="cookie-consent-banner-description">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.menu.YouAreNotOnTheDefaultTestingSessionConsiderSwitching']} "/>
                            </div>
                        </div>
                    </div>
                    <div class="cookie-consent-banner-actions">
                        <a4j:commandButton id="accept" type="button" styleClass="gzl-btn-green"
                                           immediate="true"
                                           oncomplete="hide_banner();"
                                           action="#{registrationBeanGui.setShowPopupSwitch(false)}"
                                           value="#{messages['net.ihe.gazelle.gdpr.Ok']}"
                                           render="switch_session_popup"
                        />
                    </div>
                </div>
            </div>
        </h:form>
    </h:panelGroup>

    <script type="text/javascript">
        function hide_banner() {
            console.log("Hello there");
            $("#switch_session_popup").hide().html("").fadeIn('slow');
        }
    </script>
</ui:composition>

